--- old/usr/src/cmd/sgs/rtld/amd64/amd64_elf.c	2019-03-04 02:11:14.216183921 +0000
+++ new/usr/src/cmd/sgs/rtld/amd64/amd64_elf.c	2019-03-04 02:11:14.232924197 +0000
@@ -237,12 +237,10 @@
 	}
 
 	/*
-	 * Perform some basic sanity checks.  If we didn't get a load map or
-	 * the relocation offset is invalid then its possible someone has walked
-	 * over the .got entries or jumped to plt0 out of the blue.
+	 * Perform some basic sanity checks.  If the relocation offset is
+	 * invalid then its possible someone has walked over the .got entries.
 	 */
-	if ((!lmp) && (pltndx <=
-	    (ulong_t)PLTRELSZ(lmp) / (ulong_t)RELENT(lmp))) {
+	if (pltndx > (ulong_t)PLTRELSZ(lmp) / (ulong_t)RELENT(lmp)) {
 		Conv_inv_buf_t inv_buf;
 
 		eprintf(lml, ERR_FATAL, MSG_INTL(MSG_REL_PLTREF),
